version: '3.9'

services:
  postgres:
    image: postgres:14-alpine
    command: ["postgres", "-c", "log_statement=all"]
    container_name: elisearch_db
    ports:
      - ${ELI_DB_PORT}:${ELI_DB_PORT}
    volumes:
      - ~/apps/postgres:/var/lib/postgresql/data
    environment:
      - POSTGRES_PASSWORD=${ELI_DB_PASSWORD}
      - POSTGRES_USER=${ELI_DB_USER}
      - POSTGRES_DB=${ELI_DB_DBNAME}
    deploy:
      resources:
        limits:
          cpus: '2'
          memory: 4G